function b=QMULT(A,b,beta)
% b=QMULT(A,b,beta)
%
% Multipliziert b mit Produkt von Householdermatrizen 
% Q^T b = H_min(n,m-1) ... H_2 H_1 b, gespeichert im unteren Dreieck von A
% 
%
% -----------------------------------------------------------------------------
%
% Input
% -----
% A      m x n Matrix, die mit der QR-Zerlegung ueberschrieben worden ist,
%        oberes Dreieck ueberschrieben mit R, striktes unteres Dreieck enthaelt
%        Householdervektoren H_k, wobei Q=H_1 * ... * H_min(n,m-1)
% beta   Parameter beta der Spiegelungen 
%        H_k = I + beta(k) * [1;A(k+1:m,k)]*[1;A(k+1:m,k)]'
% b      Vektor, auf den die Householdertransformationen angewendet werden 
%        sollen
%
% -----------------------------------------------------------------------------
%
% Output
% ------
% b      Vektor, nachdem die Householdertransformationen angewendet worden sind


