function [A,beta]=QRDEC(A)
% [A,beta]=QRDEC(A)
%
% QR-Zerlegung von A. A wird mit R ueberschrieben. Im unteren Dreieck sind die
% Parameter von Q gespeichert. 
% 
%
% -----------------------------------------------------------------------------
%
% Input
% -----
% A      m x n Matrix, auf die die QR-Zerlegung angewendet werden soll
%
% -----------------------------------------------------------------------------
%
% Output
% ------
% A      Matrix, oberes Dreieck ueberschrieben mit R.
%        Striktes unteres Dreieck enth"alt Householdervektoren
%        Q=H_1 * ... * H_min(n,m-1)
% beta   Parameter beta der Spiegelungen 
%        H_k = I + beta(k) * [1;A(k+1:m,k)]*[1;A(k+1:m,k)]'




% ------------------------------------------------------------------------
%
% Zur Berechnung der einzelnen Householdervektoren soll die Funktion HOUSE
% benutzt werden!!!
%
% ------------------------------------------------------------------------

